Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Interface SmartCollectionReference

All Known Implementing Classes:
  com.beasys.commerce.foundation.plugin.bmp.BMPBelongingSmartCollectionReference, Order_orderLines_SmartCollectionReference, PaymentTransaction_transactionEntry_SmartCollectionReference, PersistenceHelper.DefaultSmartCollectionReference

Deprecated

    @Deprecated
    public interface SmartCollectionReference

An interface for classes that wrap a collection, and handle intelligent persistence of the Collection's contents; i.e., only making database calls when necessary rather than updating the entire collection when only a subset of it has changed, etc.

Method Summary
`Iterator` | `cursor()` Deprecated Get an iterator over the collection's contents
`Collection` | `getCollection()` Deprecated Get the entire collection
`void` | `setCollection(Collection collection)` Deprecated Set the entire collection

Method Detail

### setCollection

    void setCollection(Collection collection)

  Deprecated
  Set the entire collection

  Parameters
    `the` - collection to set

### getCollection

    Collection getCollection()

  Deprecated
  Get the entire collection

  Returns
    the wrapped Collection

### cursor

    Iterator cursor()

  Deprecated
  Get an iterator over the collection's contents

  Returns
    an iterator over the collection's contents

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.